Index: t3lib/class.t3lib_matchcondition.php
===================================================================
--- t3lib/class.t3lib_matchcondition.php	(revision 9008)
+++ t3lib/class.t3lib_matchcondition.php	(revision )
@@ -1,29 +1,29 @@
 <?php
 /***************************************************************
-*  Copyright notice
-*
-*  (c) 1999-2010 Kasper Skårhøj (kasperYYYY@typo3.com)
-*  All rights reserved
-*
-*  This script is part of the TYPO3 project. The TYPO3 project is
-*  free software; you can redistribute it and/or modify
-*  it under the terms of the GNU General Public License as published by
-*  the Free Software Foundation; either version 2 of the License, or
-*  (at your option) any later version.
-*
-*  The GNU General Public License can be found at
-*  http://www.gnu.org/copyleft/gpl.html.
-*  A copy is found in the textfile GPL.txt and important notices to the license
-*  from the author is found in LICENSE.txt distributed with these scripts.
-*
-*
-*  This script is distributed in the hope that it will be useful,
-*  but WITHOUT ANY WARRANTY; without even the implied warranty of
-*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-*  GNU General Public License for more details.
-*
-*  This copyright notice MUST APPEAR in all copies of the script!
-***************************************************************/
+ *  Copyright notice
+ *
+ *  (c) 1999-2010 Kasper Skårhøj (kasperYYYY@typo3.com)
+ *  All rights reserved
+ *
+ *  This script is part of the TYPO3 project. The TYPO3 project is
+ *  free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  The GNU General Public License can be found at
+ *  http://www.gnu.org/copyleft/gpl.html.
+ *  A copy is found in the textfile GPL.txt and important notices to the license
+ *  from the author is found in LICENSE.txt distributed with these scripts.
+ *
+ *
+ *  This script is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  This copyright notice MUST APPEAR in all copies of the script!
+ ***************************************************************/
 /**
  * Contains class for Matching TypoScript conditions
  *
@@ -38,17 +38,17 @@
  *
  *
  *   80: class t3lib_matchCondition
- *   87:     function __construct()
+ *   87:	 function __construct()
- *  105:     function t3lib_matchCondition()
+ *  105:	 function t3lib_matchCondition()
- *  115:     function match($condition_line)
+ *  115:	 function match($condition_line)
- *  160:     function evalConditionStr($string)
+ *  160:	 function evalConditionStr($string)
- *  381:     function testNumber($test,$value)
+ *  381:	 function testNumber($test,$value)
- *  405:     function matchWild($haystack,$needle)
+ *  405:	 function matchWild($haystack,$needle)
- *  429:     function whichDevice($useragent)
+ *  429:	 function whichDevice($useragent)
- *  498:     function browserInfo($useragent)
+ *  498:	 function browserInfo($useragent)
- *  611:     function browserInfo_version($tmp)
+ *  611:	 function browserInfo_version($tmp)
- *  624:     function getGlobal($var, $source=NULL)
+ *  624:	 function getGlobal($var, $source=NULL)
- *  658:     function getGP_ENV_TSFE($var)
+ *  658:	 function getGP_ENV_TSFE($var)
  *
  * TOTAL FUNCTIONS: 11
  * (This index is automatically created/updated by the extension "extdeveval")
@@ -56,16 +56,6 @@
  */
 
 
-
-
-
-
-
-
-
-
-
-
 /**
  * Matching TypoScript conditions
  *
@@ -78,10 +68,10 @@
  * @see t3lib_TStemplate::matching(), t3lib_TStemplate::generateConfig()
  */
 class t3lib_matchCondition extends t3lib_matchCondition_frontend {
-	var $matchAlternative=array();		// If this array has elements, the matching returns true if a whole "matchline" is found in the array!
+	var $matchAlternative = array(); // If this array has elements, the matching returns true if a whole "matchline" is found in the array!
-	var $matchAll=0;					// If set all is matched!
+	var $matchAll = 0; // If set all is matched!
 
-	var $altRootLine=array();
+	var $altRootLine = array();
 	var $hookObjectsArr = array();
 
 	/**
@@ -90,7 +80,7 @@
 	 * @return	void
 	 * @deprecated	since TYPO3 4.3, will be removed in TYPO3 4.6 - The functionality was moved to t3lib_matchCondition_frontend
 	 */
-	function __construct()	{
+	function __construct() {
 		t3lib_div::logDeprecatedFunction();
 
 		parent::__construct();
@@ -104,9 +94,9 @@
 	 */
 	function match($condition_line) {
 		if ($this->matchAll) {
-			parent::setSimulateMatchResult(true);
+			parent::setSimulateMatchResult(TRUE);
 		}
-		if (count($this->matchAlternative))	{
+		if (count($this->matchAlternative)) {
 			parent::setSimulateMatchConditions($this->matchAlternative);
 		}
 
@@ -122,7 +112,7 @@
 	 * @see t3lib_tsparser::parse()
 	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=292&cHash=c6c7d43d2f
 	 */
-	function evalConditionStr($string)	{
+	function evalConditionStr($string) {
 		return parent::evaluateCondition($string);
 	}
 
@@ -156,7 +146,7 @@
 	 * @access private
 	 * @link http://typo3.org/doc.0.html?&tx_extrepmgm_pi1[extUid]=270&tx_extrepmgm_pi1[tocEl]=296&cHash=a8ae66c7d6
 	 */
-	function whichDevice($useragent)	{
+	function whichDevice($useragent) {
 		return parent::getDeviceType($useragent);
 	}
 
@@ -169,7 +159,7 @@
 	 * @access private
 	 * @see match()
 	 */
-	function browserInfo($useragent)	{
+	function browserInfo($useragent) {
 		return parent::getBrowserInfo($useragent);
 	}
 
@@ -180,7 +170,7 @@
 	 * @return	double		Returns double value, eg. "7.32"
 	 * @deprecated	since TYPO3 4.3, will be removed in TYPO3 4.6 - use t3lib_utility_Client::getVersion() instead
 	 */
-	function browserInfo_version($tmp)	{
+	function browserInfo_version($tmp) {
 		t3lib_div::logDeprecatedFunction();
 		return t3lib_utility_Client::getVersion($tmp);
 	}
@@ -194,7 +184,7 @@
 	 * @return	mixed		Whatever value. If none, then blank string.
 	 * @access private
 	 */
-	function getGlobal($var, $source=NULL)	{
+	function getGlobal($var, $source = NULL) {
 		return parent::getGlobal($var, $source);
 	}
 
@@ -212,7 +202,7 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['t3lib/class.t3lib_matchcondition.php'])	{
+if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['t3lib/class.t3lib_matchcondition.php']) {
 	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['t3lib/class.t3lib_matchcondition.php']);
 }
 